Bug 843147 - cinnamon expo workspaces broken with multiple monitors
cinnamon expo workspaces broken with multiple monitors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://github.com/linuxmint/Cinnamon...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 13:23 EDT by Jeff Bastian
Modified: 2012-09-19 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: cinnamon-1.6.0-1.fc17.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 16:12:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cinnamon expo overview broken on multi-monitor setup (1.29 MB, image/png)
2012-07-25 13:23 EDT, Jeff Bastian
no flags Details
cinnamon expo working on a single monitor (97.90 KB, image/png)
2012-07-25 13:23 EDT, Jeff Bastian
no flags Details
Xorg.0.log (46.66 KB, text/x-log)
2012-07-25 14:58 EDT, Jeff Bastian
no flags Details
updated screenshot for cinnamon 1.5.2 (1.48 MB, image/png)
2012-08-06 17:46 EDT, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2012-07-25 13:23:12 EDT
Created attachment 600354 [details]
cinnamon expo overview broken on multi-monitor setup

Description of problem:
Cinnamon's Expo to show workspaces is broken when using multiple monitors.  When I hit the hot-corner or hit CTRL-ALT-UP to show the workspaces, I only get a inch-wide strip on the far right showing the + button and a tiny bit of the right-most workspace.  See the attached cinnamon-expo-workspaces-multi-monitor.png screenshot.

If I disable one monitor (leaving only one active monitor), then the Expo mode works fine and I can see all the workspaces.  See the cinnamon-expo-workspaces-single-monitor.png screenshot.

Note: the screenshots include the terminal window, but this window is not normally visible in the Expo overview.  I'm not sure why 'import' is grabbing this window too.

Version-Release number of selected component (if applicable):
cinnamon-1.4.1-0.8.git7959517.fc17.x86_64

How reproducible:
every time

Steps to Reproduce:
1. run cinnamon (2d or 3d) on a system with two or more monitors
2. hit CTRL-ALT-UP or move the mouse to the hot corner
  
Actual results:
expo overview is only shown on a tiny vertical strip on the far right

Expected results:
expo overview uses full screen and shows all my workspaces

Additional info:
Comment 1 Jeff Bastian 2012-07-25 13:23:52 EDT
Created attachment 600355 [details]
cinnamon expo working on a single monitor
Comment 2 leigh scott 2012-07-25 13:51:32 EDT
Hi Jeff,

Can you provide some more info about your hardware

xrandr --current

and

/var/log/Xorg.0.log





I have also forwarded this bug to the cinnamon bug tracker.


https://github.com/linuxmint/Cinnamon/issues/968
Comment 3 Jeff Bastian 2012-07-25 14:58:01 EDT
Created attachment 600378 [details]
Xorg.0.log

I have a Lenovo T510 with onboard Intel graphics for the Core i7.  The laptop is currently in the docking station with a Samsung SyncMaster 220WM monitor attached via DVI.

Xorg.0.log is attached

$ xrandr --current
Screen 0: minimum 320 x 200, current 3280 x 1050, maximum 8192 x 8192
LVDS1 connected 1600x900+0+0 (normal left inverted right x axis y axis) 345mm x 194mm
   1600x900       60.0*+   50.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 connected 1680x1050+1600+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0*+
   1280x1024      75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)
Comment 4 Dan Mashal 2012-07-26 23:28:29 EDT
This may be a kernel related driver or gnome 3 issue.
Comment 5 Jeff Bastian 2012-08-06 17:46:09 EDT
Created attachment 602592 [details]
updated screenshot for cinnamon 1.5.2

I can see a little more of the expo view with the recent update to cinnamon-1.5.2-2.fc17 (and muffin-1.0.5-1), but it's still only a partial view.
Comment 6 leigh scott 2012-09-19 02:45:43 EDT
Does the 1.6.0 update fix this issue?
Comment 7 Jeff Bastian 2012-09-19 16:12:17 EDT
Hooray, it works correctly with 1.6.0.  Thanks!

My system now has the following versions installed:
  cinnamon-1.6.0-1.fc17.x86_64
  muffin-1.1.0-1.fc17.x86_64

Note You need to log in before you can comment on or make changes to this bug.